Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 657104 - dev-python/pyftpdlib-1.5.5: rekeyword
Summary: dev-python/pyftpdlib-1.5.5: rekeyword
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Louis Sautier (sbraz)
URL:
Whiteboard:
Keywords: KEYWORDREQ
Depends on:
Blocks: 659248
  Show dependency tree
 
Reported: 2018-06-02 12:03 UTC by Louis Sautier (sbraz)
Modified: 2019-04-13 13:57 UTC (History)
1 user (show)

See Also:
Package list:
dev-python/pysendfile-2.0.1-r1 dev-python/pyftpdlib-1.5.5 dev-python/psutil-5.4.3
Runtime testing required: No
stable-bot: sanity-check+


Attachments
build.log (ppc) (pyftpdlib-1.5.4:20180705-175212.log,33.19 KB, text/plain)
2018-07-05 18:02 UTC, ernsteiswuerfel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Louis Sautier (sbraz) gentoo-dev 2018-06-02 12:03:29 UTC
I had to drop some keywords because of pysendfile in https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33e317588cd473c308195514ea994ee5f85884f1:
  KEYWORDS.dropped              1
   dev-python/pyftpdlib/pyftpdlib-1.5.4.ebuild: alpha amd64-fbsd arm arm64 ia64 ppc ppc64
Comment 1 Louis Sautier (sbraz) gentoo-dev 2018-06-02 12:08:32 UTC
Running the pyftpdlib test suite should be enough.
Comment 2 Stabilization helper bot gentoo-dev 2018-06-02 13:00:55 UTC
An automated check of this bug failed - repoman reported dependency errors (8 lines truncated): 

> dependency.bad dev-python/pyftpdlib/pyftpdlib-1.5.4.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0) ['dev-python/psutil[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/pyftpdlib/pyftpdlib-1.5.4.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0/desktop) ['dev-python/psutil[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
> dependency.bad dev-python/pyftpdlib/pyftpdlib-1.5.4.ebuild: DEPEND: ~alpha(default/linux/alpha/13.0/desktop/gnome) ['dev-python/psutil[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-)]']
Comment 3 Larry the Git Cow gentoo-dev 2018-06-02 17:38:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba5fab78751cfe392f03224e0e51d6bc491a9ddc

commit ba5fab78751cfe392f03224e0e51d6bc491a9ddc
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-02 17:37:37 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-02 17:38:26 +0000

    dev-python/pyftpdlib: keyworded 1.5.4 for ia64, bug #657104
    
    Bug: https://bugs.gentoo.org/657104
    Package-Manager: Portage-2.3.38, Repoman-2.3.9
    RepoMan-Options: --include-arches="ia64"

 dev-python/pyftpdlib/pyftpdlib-1.5.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e6bdb122f0f61b3f3c9d8c735ff9489c6daba33a

commit e6bdb122f0f61b3f3c9d8c735ff9489c6daba33a
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-02 17:37:28 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-02 17:38:26 +0000

    dev-python/pysendfile: keyworded 2.0.1 for ia64, bug #657104
    
    Bug: https://bugs.gentoo.org/657104
    Package-Manager: Portage-2.3.38, Repoman-2.3.9
    RepoMan-Options: --include-arches="ia64"

 dev-python/pysendfile/pysendfile-2.0.1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=236816311ddee5b91d2d94a0ea7977dcf8c460ab

commit 236816311ddee5b91d2d94a0ea7977dcf8c460ab
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-02 17:37:16 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-02 17:38:25 +0000

    dev-python/psutil: keyworded 5.4.3 for ia64, bug #657104
    
    Bug: https://bugs.gentoo.org/657104
    Package-Manager: Portage-2.3.38, Repoman-2.3.9
    RepoMan-Options: --include-arches="ia64"

 dev-python/psutil/psutil-5.4.3.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 4 Stabilization helper bot gentoo-dev 2018-06-02 18:03:39 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 5 Markus Meier gentoo-dev 2018-06-13 18:52:32 UTC
~arm added
Comment 6 Larry the Git Cow gentoo-dev 2018-06-30 21:12:21 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b92e0527a624311e6021af6845ab3dd9d1d883f

commit 7b92e0527a624311e6021af6845ab3dd9d1d883f
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-30 21:11:00 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-30 21:12:14 +0000

    dev-python/pyftpdlib: keyworded 1.5.4 for ppc64, bug #657104
    
    Bug: https://bugs.gentoo.org/657104
    Package-Manager: Portage-2.3.41, Repoman-2.3.9
    RepoMan-Options: --include-arches="ppc64"

 dev-python/pyftpdlib/pyftpdlib-1.5.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e47576ebc6cd5c55dfcd5ebaf50b2defcc02e919

commit e47576ebc6cd5c55dfcd5ebaf50b2defcc02e919
Author:     Sergei Trofimovich <slyfox@gentoo.org>
AuthorDate: 2018-06-30 21:10:55 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2018-06-30 21:12:14 +0000

    dev-python/pysendfile: keyworded 2.0.1 for ppc64, bug #657104
    
    Bug: https://bugs.gentoo.org/657104
    Package-Manager: Portage-2.3.41, Repoman-2.3.9
    RepoMan-Options: --include-arches="ppc64"

 dev-python/pysendfile/pysendfile-2.0.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 7 ernsteiswuerfel 2018-07-05 18:02:46 UTC
Created attachment 538500 [details]
build.log (ppc)
Comment 8 ernsteiswuerfel 2018-07-05 18:03:47 UTC
Looking good on ppc (see build.log).
Comment 9 Sergei Trofimovich gentoo-dev 2018-08-05 12:32:55 UTC
~ppc keyworded. Thanks to ernsteiswuerfel!
Comment 10 Tobias Klausmann gentoo-dev 2018-10-17 08:52:01 UTC
Keyworded on ~alpha.
Comment 11 Rolf Eike Beer 2019-01-25 20:04:00 UTC
hppa keywording done
Comment 12 Stabilization helper bot gentoo-dev 2019-01-25 21:00:44 UTC
An automated check of this bug failed - repoman reported dependency errors: 

> dependency.bad dev-python/pyftpdlib/pyftpdlib-1.5.4.ebuild: DEPEND: ~amd64-fbsd(default/bsd/fbsd/amd64/11.1) ['dev-python/pysendfile[python_targets_python2_7(-)?,python_targets_python3_4(-)?,python_targets_python3_5(-)?,python_targets_python3_6(-)?,python_targets_python3_7(-)?,-python_single_target_python2_7(-),-python_single_target_python3_4(-),-python_single_target_python3_5(-),-python_single_target_python3_6(-),-python_single_target_python3_7(-)]']
Comment 13 Stabilization helper bot gentoo-dev 2019-04-09 13:00:41 UTC
An automated check of this bug succeeded - the previous repoman errors are now resolved.
Comment 14 Aaron Bauman Gentoo Infrastructure gentoo-dev Security 2019-04-13 02:40:16 UTC
arm64 keyworded